Changeset 1674

Show
Ignore:
Timestamp:
02/17/05 01:55:10 (4 years ago)
Author:
whmoseley
Message:

Update perl path check function

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • trunk/swish-e/configure

    r1655 r1674  
    1934119341  *) 
    1934219342  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
    19343 as_dummy="$PATH:/usr/bin:/usr/local/bin:/opt/bin:/usr/freeware/bin" 
    19344 for as_dir in $as_dummy 
     19343for as_dir in $PATH 
    1934519344do 
    1934619345  IFS=$as_save_IFS 
     
    1935519354done 
    1935619355 
    19357   test -z "$ac_cv_path_PERL" && ac_cv_path_PERL="/usr/local/bin/perl
     19356  test -z "$ac_cv_path_PERL" && ac_cv_path_PERL="no
    1935819357  ;; 
    1935919358esac 
     
    1936719366  echo "$as_me:$LINENO: result: no" >&5 
    1936819367echo "${ECHO_T}no" >&6 
     19368fi 
     19369 
     19370if test "$PERL" = "false"; then 
     19371    { echo "$as_me:$LINENO: WARNING: perl was not found - needed for script shebang lines" >&5 
     19372echo "$as_me: WARNING: perl was not found - needed for script shebang lines" >&2;} 
    1936919373fi 
    1937019374 
     
    1939419398done 
    1939519399 
     19400  test -z "$ac_cv_prog_POD2MAN" && ac_cv_prog_POD2MAN="false" 
    1939619401fi 
    1939719402fi 
     
    1940519410fi 
    1940619411 
     19412if test "$POD2MAN" = "false"; then 
     19413        { echo "$as_me:$LINENO: WARNING: pod2man was not found - needed for building man pages" >&5 
     19414echo "$as_me: WARNING: pod2man was not found - needed for building man pages" >&2;} 
     19415fi 
    1940719416 
    1940819417# Find a good install program.  We prefer a C program (faster), 
     
    2321023219 
    2321123220 
     23221echo "$as_me:$LINENO: checking for working strcoll" >&5 
     23222echo $ECHO_N "checking for working strcoll... $ECHO_C" >&6 
     23223if test "${ac_cv_func_strcoll_works+set}" = set; then 
     23224  echo $ECHO_N "(cached) $ECHO_C" >&6 
     23225else 
     23226  if test "$cross_compiling" = yes; then 
     23227  ac_cv_func_strcoll_works=no 
     23228else 
     23229  cat >conftest.$ac_ext <<_ACEOF 
     23230/* confdefs.h.  */ 
     23231_ACEOF 
     23232cat confdefs.h >>conftest.$ac_ext 
     23233cat >>conftest.$ac_ext <<_ACEOF 
     23234/* end confdefs.h.  */ 
     23235$ac_includes_default 
     23236int 
     23237main () 
     23238{ 
     23239exit (strcoll ("abc", "def") >= 0 || 
     23240         strcoll ("ABC", "DEF") >= 0 || 
     23241         strcoll ("123", "456") >= 0) 
     23242  ; 
     23243  return 0; 
     23244} 
     23245_ACEOF 
     23246rm -f conftest$ac_exeext 
     23247if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     23248  (eval $ac_link) 2>&5 
     23249  ac_status=$? 
     23250  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     23251  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     23252  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     23253  (eval $ac_try) 2>&5 
     23254  ac_status=$? 
     23255  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     23256  (exit $ac_status); }; }; then 
     23257  ac_cv_func_strcoll_works=yes 
     23258else 
     23259  echo "$as_me: program exited with status $ac_status" >&5 
     23260echo "$as_me: failed program was:" >&5 
     23261sed 's/^/| /' conftest.$ac_ext >&5 
     23262 
     23263( exit $ac_status ) 
     23264ac_cv_func_strcoll_works=no 
     23265fi 
     23266rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     23267fi 
     23268fi 
     23269echo "$as_me:$LINENO: result: $ac_cv_func_strcoll_works" >&5 
     23270echo "${ECHO_T}$ac_cv_func_strcoll_works" >&6 
     23271if test $ac_cv_func_strcoll_works = yes; then 
     23272 
     23273cat >>confdefs.h <<\_ACEOF 
     23274#define HAVE_STRCOLL 1 
     23275_ACEOF 
     23276 
     23277fi 
     23278 
     23279 
    2321223280echo "$as_me:$LINENO: checking for uid_t in sys/types.h" >&5 
    2321323281echo $ECHO_N "checking for uid_t in sys/types.h... $ECHO_C" >&6 
     
    2391623984 
    2391723985 
    23918  
    23919 fi 
    23920  
    23921  
    23922 echo "$as_me:$LINENO: checking for working strcoll" >&5 
    23923 echo $ECHO_N "checking for working strcoll... $ECHO_C" >&6 
    23924 if test "${ac_cv_func_strcoll_works+set}" = set; then 
    23925   echo $ECHO_N "(cached) $ECHO_C" >&6 
    23926 else 
    23927   if test "$cross_compiling" = yes; then 
    23928   ac_cv_func_strcoll_works=no 
    23929 else 
    23930   cat >conftest.$ac_ext <<_ACEOF 
    23931 /* confdefs.h.  */ 
    23932 _ACEOF 
    23933 cat confdefs.h >>conftest.$ac_ext 
    23934 cat >>conftest.$ac_ext <<_ACEOF 
    23935 /* end confdefs.h.  */ 
    23936 $ac_includes_default 
    23937 int 
    23938 main () 
    23939 { 
    23940 exit (strcoll ("abc", "def") >= 0 || 
    23941          strcoll ("ABC", "DEF") >= 0 || 
    23942          strcoll ("123", "456") >= 0) 
    23943   ; 
    23944   return 0; 
    23945 } 
    23946 _ACEOF 
    23947 rm -f conftest$ac_exeext 
    23948 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    23949   (eval $ac_link) 2>&5 
    23950   ac_status=$? 
    23951   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    23952   (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    23953   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    23954   (eval $ac_try) 2>&5 
    23955   ac_status=$? 
    23956   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    23957   (exit $ac_status); }; }; then 
    23958   ac_cv_func_strcoll_works=yes 
    23959 else 
    23960   echo "$as_me: program exited with status $ac_status" >&5 
    23961 echo "$as_me: failed program was:" >&5 
    23962 sed 's/^/| /' conftest.$ac_ext >&5 
    23963  
    23964 ( exit $ac_status ) 
    23965 ac_cv_func_strcoll_works=no 
    23966 fi 
    23967 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    23968 fi 
    23969 fi 
    23970 echo "$as_me:$LINENO: result: $ac_cv_func_strcoll_works" >&5 
    23971 echo "${ECHO_T}$ac_cv_func_strcoll_works" >&6 
    23972 if test $ac_cv_func_strcoll_works = yes; then 
    23973  
    23974 cat >>confdefs.h <<\_ACEOF 
    23975 #define HAVE_STRCOLL 1 
    23976 _ACEOF 
    2397723986 
    2397823987fi 
  • trunk/swish-e/configure.in

    r1655 r1674  
    6565AC_PROG_MAKE_SET 
    6666 
    67 dnl Check for Perl - used for making the distribution 
    68 AC_PATH_PROG(PERL, perl, /usr/local/bin/perl,$PATH:/usr/bin:/usr/local/bin:/opt/bin:/usr/freeware/bin) 
     67dnl Check for Perl - need full path for scripts 
     68AC_PATH_PROG([PERL], [perl], [no]) 
     69if test "$PERL" = "false"; then 
     70    AC_MSG_WARN([perl was not found - needed for script shebang lines]) 
     71fi 
     72 
    6973 
    7074dnl Check pod2man for creating man pages 
    71 AC_CHECK_PROG(POD2MAN, pod2man, pod2man) 
     75AC_CHECK_PROG([POD2MAN], [pod2man], [pod2man], [false]) 
     76if test "$POD2MAN" = "false"; then 
     77    dnl disable building of man pages? 
     78    AC_MSG_WARN([pod2man was not found - needed for building man pages]) 
     79fi 
    7280 
    7381dnl Check for install - used for installing distribution 
     
    112120AC_CHECK_LIB(m,log) 
    113121 
     122dnl Allow use strcoll() instead of strncmp()/strncasecmp() to enable locale dependent collating 
     123AC_FUNC_STRCOLL 
     124 
    114125AC_FUNC_GETGROUPS 
    115126 
     
    186197fi 
    187198 
    188  
    189 dnl Allow use strcoll() instead of strncmp()/strncasecmp() to enable locale dependent collating 
    190 AC_FUNC_STRCOLL 
    191199 
    192200